--- a/Source/d_main.c
+++ b/Source/d_main.c
@@ -36,6 +36,7 @@ static const char rcsid[] = "$Id: d_main
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <fcntl.h>
+#include <errno.h>
 
 #include "doomdef.h"
 #include "doomstat.h"
@@ -528,12 +529,21 @@ char *D_DoomExeDir(void)
    static char *base;
    if(!base)        // cache multiple requests
    {
+#ifndef __unix__
       size_t len = strlen(*myargv) + 1;
       char *p;
+#else
+      char *home = getenv ("HOME");
+      if (!home || !*home)
+        return (".");
+      size_t len = strlen(home) + strlen("/.winmbf/") + 1;
+      int err = 0;
+#endif
 
       base = malloc(len);
       memset(base, 0, len);
 
+#ifndef __unix__
       p = base + len - 1;
       
       strncpy(base, *myargv, len);
@@ -548,6 +558,13 @@ char *D_DoomExeDir(void)
          *p = '\0';
          p--;
       }
+#else
+      snprintf (base, len, "%s/.winmbf/", home);
+      err = mkdir (base, S_IRWXU);
+
+      if (err == -1 && errno != EEXIST)
+        return (".");
+#endif
    }
 
    if(*base == '\0')
@@ -848,7 +865,7 @@ void IdentifyVersion (void)
 
   // set save path to -save parm or current dir
 
-  strcpy(basesavegame,".");       //jff 3/27/98 default to current dir
+  strcpy(basesavegame, D_DoomExeDir());       //jff 3/27/98 default to current dir
   if ((i=M_CheckParm("-save")) && i<myargc-1) //jff 3/24/98 if -save present
     {
       if (!stat(myargv[i+1],&sbuf) && S_ISDIR(sbuf.st_mode)) // and is a dir
--- a/Source/m_misc.c
+++ b/Source/m_misc.c
@@ -2333,7 +2333,7 @@ void M_ScreenShot (void)
 
       do
         sprintf(lbmname,                         //jff 3/30/98 pcx or bmp?
-                screenshot_pcx ? "doom%02d.pcx" : "doom%02d.bmp", shot++);
+                screenshot_pcx ? "%s/doom%02d.pcx" : "%s/doom%02d.bmp", D_DoomExeDir(), shot++);
       while (!access(lbmname,0) && --tries);
 
       if (tries)
